冒険の書

27歳と6ヶ月のときに未経験でITエンジニアに転職した元派遣会社営業職(文系)が綴るブログです。同じように20代後半から未経験でIT技術者に転職することを検討されている人に「27歳からの未経験がどれだけ成長できるか」という点などで参考になれば幸いです。

postfixを導入してみる。

VMwarePlayer上でCentOS5.9を使用しており、postfixでメールサーバを構築しようと思ったがインストールするにも依存関係が多くてややこしかったのでメモ。

まず、全体からpostfixおよび、そのログ解析ツールであるpflogsummパッケージを探す。

pflogsummは "sum"ではなく "summ"なので注意されたい

こういったちょっとした知識の不足や入力ミスがドツボにはまる入り口だったりするから油断できない。ソフトウェアってほんとに気難しい。まるで、女の子みたい

# find / -name *postfix*
/media/CentOS_5.9_Final/CentOS/postfix-2.3.3-6.el5.i386.rpm
/media/CentOS_5.9_Final/CentOS/postfix-pflogsumm-2.3.3-6.el5.i386.rpm
~~~~~省略~~~~~    

この"/media/CentOS_5.9_Final/CentOS"というディレクトリは通常ありません。CDなどの外部ストレージがらマウントするか、isoからマウントしてください。設定は、vmwareの管理画面からできます。

f:id:Royec:20140201185905j:plain

各種ファイルが保存ディレクトリへ移動

# cd /media/CentOS_5.9_Final/CentOS

早速インストールしようとするが……

 
# rpm -ivh /media/CentOS_5.9_Final/CentOS/postfix-2.3.3-6.el5.i386.rpm
error: Failed dependencies: ←パッケージ間の依存関係が理由でインストールできません。
        libmysqlclient.so.15 is needed by postfix-2.3.3-6.el5.i386
        libmysqlclient.so.15(libmysqlclient_15) is needed by postfix-2.3.3-6.el5.i386
        mysql is needed by postfix-2.3.3-6.el5.i386

mysqlのパッケージを探してみる

# ls | grep mysql
~~~~~省略~~~~~
libdbi-dbd-mysql-0.8.1a-1.2.2.i386.rpm
mod_auth_mysql-3.0.0-3.2.el5_3.i386.rpm
mysql-5.0.95-3.el5.i386.rpm        ←これがほしい
mysql-bench-5.0.95-3.el5.i386.rpm
mysql-connector-odbc-3.51.26r1127-2.el5.i386.rpm
~~~~~省略~~~~~

インストールしてみる。

# rpm -ivh mysql-5.0.95-3.el5.i386.rpm
error: Failed dependencies:
    perl(DBI) is needed by mysql-5.0.95-3.el5.i386

またもや、依存関係があるらしい。perl(DBI)が必要とのこと

/media/CentOS_5.9_Final/CentOSディレクトリにて、コマンド"ls | grep perl"を実行。

~~~~~省略~~~~~
perl-DBD-MySQL-3.0007-2.el5.i386.rpm
perl-DBD-Pg-1.49-4.el5_8.i386.rpm
perl-DBI-1.52-2.el5.i386.rpm        ←これがほしい
perl-Digest-HMAC-1.01-15.noarch.rpm
perl-Digest-SHA1-2.11-1.2.1.i386.rpm
perl-HTML-Parser-3.55-1.fc6.i386.rpm
perl-HTML-Tagset-3.10-2.1.1.noarch.rpm
~~~~~省略~~~~~

インストールしてみた。

# rpm -ivh perl-DBI-1.52-2.el5.i386.rpm
Preparing...                ########################################### [100%]
   1:perl-DBI               ########################################### [100%]
# rpm -ivh mysql-5.0.95-3.el5.i386.rpm
Preparing...                ########################################### [100%]
   1:mysql                  ########################################### [100%]
# rpm -ivh postfix-2.3.3-6.el5.i386.rpm
Preparing...                ########################################### [100%]
   1:postfix                ########################################### [100%]
# rpm -q postfix   ←インストールを確認。
postfix-2.3.3-6.el5  ←OK

インストール成功\(^o^)/

続いて、Postfixログ解析ツールpflogsumを導入してみる。

     
# rpm -ivh postfix-pflogsumm-2.3.3-6.el5.i386.rpm
error: Failed dependencies:
        perl(Date::Calc) is needed by postfix-pflogsumm-2.3.3-6.el5.i386
        perl-Date-Calc is needed by postfix-pflogsumm-2.3.3-6.el5.i386
# rpm -ivh perl-Date-Calc-5.4-1.2.2.1.i386.rpm
error: Failed dependencies:
        perl(Bit::Vector) is needed by perl-Date-Calc-5.4-1.2.2.1.i386
        perl(Carp::Clan) is needed by perl-Date-Calc-5.4-1.2.2.1.i386
        perl-Bit-Vector >= 6.4 is needed by perl-Date-Calc-5.4-1.2.2.1.i386
# rpm -ivh perl-Bit-Vector-6.4-2.2.2.1.i386.rpm
error: Failed dependencies:
        perl(Carp::Clan) is needed by perl-Bit-Vector-6.4-2.2.2.1.i386
        perl-Carp-Clan >= 5.3 is needed by perl-Bit-Vector-6.4-2.2.2.1.i386

はい、はい、依存関係依存関係(^ω^;)

# ls | grep perl
perl-5.8.8-38.el5_8.i386.rpm
perl-Archive-Tar-1.39.1-1.el5_5.2.noarch.rpm
perl-Archive-Zip-1.16-1.2.1.noarch.rpm
perl-Bit-Vector-6.4-2.2.2.1.i386.rpm          ←これがほしい
perl-BSD-Resource-1.28-1.fc6.1.i386.rpm
perl-Carp-Clan-5.3-1.2.1.noarch.rpm      ←これがほしい
perl-Compress-Zlib-1.42-1.fc6.i386.rpm
perl-Config-General-2.40-1.el5.noarch.rpm
perl-Convert-ASN1-0.20-1.1.noarch.rpm
perl-Crypt-SSLeay-0.51-11.el5.i386.rpm
perl-Date-Calc-5.4-1.2.2.1.i386.rpm      ←これがほしい
perl-DateManip-5.44-1.2.1.noarch.rpm
perl-DBD-MySQL-3.0007-2.el5.i386.rpm
perl-DBD-Pg-1.49-4.el5_8.i386.rpm
perl-DBI-1.52-2.el5.i386.rpm

それにしても、perl関係が多いなぁという印象。postfixperlって関係があるんだろうか。気になる。だれか知っている人いたら教えてください(ァ

お待ちかねのインストール

# rpm -ivh perl-Carp-Clan-5.3-1.2.1.noarch.rpm
Preparing...                ########################################### [100%]
   1:perl-Carp-Clan         ########################################### [100%]
[root@doujou CentOS]# rpm -ivh perl-Bit-Vector-6.4-2.2.2.1.i386.rpm
Preparing...                ########################################### [100%]
   1:perl-Bit-Vector        ########################################### [100%]
[root@doujou CentOS]# rpm -ivh perl-Date-Calc-5.4-1.2.2.1.i386.rpm
Preparing...                ########################################### [100%]
   1:perl-Date-Calc         ########################################### [100%]
[root@doujou CentOS]# rpm -ivh postfix-pflogsumm-2.3.3-6.el5.i386.rpm
Preparing...                ########################################### [100%]
   1:postfix-pflogsumm      ########################################### [100%]
# rpm -q postfix-pflogsumm   ←インストールを確認
postfix-pflogsumm-2.3.3-6.el5   ←OK

インストール成功\(^o^)/